"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const dispose = async pool => {
  pool.disposed = true;
  pool.handlers.clear();
  await new Promise((resolve, reject) => pool.connection.close(error => {
    if (error) {
      reject(error);
    } else {
      resolve();
    }
  }));
};

var _default = dispose;
exports.default = _default;
//# sourceMappingURL=dispose.js.map