"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const publish = async ({
  channel,
  config: {
    exchange,
    queueName,
    messageTtl
  }
}, event) => {
  await channel.publish(exchange, queueName, new Buffer(JSON.stringify(event)), // Additional options described here:
  // http://www.squaremobius.net/amqp.node/channel_api.html#channel_publish
  {
    expiration: messageTtl,
    persistent: false
  });
};

var _default = publish;
exports.default = _default;
//# sourceMappingURL=publish.js.map